/**
 * Feuille de styles du bloc des erreurs fonctionnelles et des messages informatifs
 *
 * @author Frédéric GILBERT
 */


/** conteneur de plus haut niveau */
div.errors, div.info {
	background-color: white;
	background-image :url("../images/message/StopMessage.gif");
	background-position: 10px 7px;
	background-repeat: no-repeat;
	border: 1px solid #A51d20;
	margin: 0 auto 20px;
	padding: auto;
	width: 70%;
	float: none;
	clear: left;
}

/** conteneur des messages d'erreurs */
div.errors div.content, div.info div.content {
	background-color: #ffede0;
	color: #16181D;	
	margin-left: 80px;
	padding: 9px 7px;
}

/** conteneur d'un message */
div.errors div.content span, div.info div.content span{
	display: block;	
	float: none;
	margin: 0px;
	padding: 0px;
}

/** définition des listes de messages */
div.errors div.content ul {
	margin-left: 37px;
	padding-left: 0px;
}

/** définition de la liste principale */
div.errors ul.main {
	margin-top: 10px;
}



div.errors div.content ul ul{
	list-style: none;
	list-style-image: URL(../../common/images/tiret.gif); 
}

div.errors div.content ul ul ul{
	list-style: square;
	list-style-image:none;
}

/******************************************************
 * Feuille de styles du bloc des erreurs techniques.
 ******************************************************/

/** conteneur de plus haut niveau */
div#technicalError {
	background-color: white;
	background-image :url("../images/message/StopMessage.gif");
	background-position: 10px 7px;
	background-repeat: no-repeat;
	border: 1px solid #A51d20;
	width: 70%;
	margin: 20px auto;
	vertical-align: middle;
}
/** conteneur des messages d'erreurs */
div#technicalError div {
	background-color: #ffede0;
	margin-left: 80px;
	padding: 2em;
}


/** Message ligne 1 */
div#technicalError span#L1{
	display: block;/*Pour générer un saut de ligne*/
	margin-bottom: 1.5em;
}

/** Message ligne 2 et ligne 3 */
div#technicalError span#L2, div#technicalError span#L3{
	display: block;/*Pour générer un saut de ligne*/
	margin-bottom: 1.2em;
}

/******************************************************
 * Feuille de styles du bloc des messages d'information
 ******************************************************/
/* Spécialisation du style commun avec div.errors*/
div.info {
	background-image :url("../images/message/InfoMessage.gif");
	background-position: 12px 2px;
	border-color:  #81A6D0;
}
div.info div.content{
	min-height: 60px; /* Hack CSS pour contourner la propriété min-height non reconnue par IE*/
	overflow-x:hidden;
}

div.info div.content p{
	margin-top: 5px;
}


div.info div.content p#first{
	margin-top: 0px;
}




/*****************************************************************************************/
/*** Spécialisation des CSS de la skin par défaut INTERNET pour InternetV2             ***/
/*****************************************************************************************/

/* Boîtes d'erreurs fonctionnelles et information */
div.errors, div.info {
    border: 1px solid #CCCCCC;
	border-radius: 4px 4px 4px 4px;
	background: -webkit-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: -o-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: linear-gradient(to top, #E6E6E6, #FFFFFF 25px);
}

div.errors div.content, div.info div.content {
    background-color: transparent !important;
    margin-left:-1px;
    margin-top:-1px;
    padding-left:80px;
}

div.info div.content {
    background-image: url("../../internet/images/message/picto_info.png");
    background-repeat: no-repeat;
    background-position: 0px 0px;
}

div.errors div.content {
    background-image: url("../../internet/images/message/picto_error.png");
    background-repeat: no-repeat;
    background-position: 0px 0px;
}

/* Erreur technique */

div#technicalError {
	border: 1px solid #CCCCCC;
	border-radius: 4px 4px 4px 4px;
	background: -webkit-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: -o-linear-gradient(bottom, #E6E6E6, #FFFFFF 25px);
	background: linear-gradient(to top, #E6E6E6, #FFFFFF 25px);
}

div#technicalError div{
    background-color: transparent !important;
    margin-left:-1px;
    margin-top:-1px;
    padding-left:80px;
    background-image: url("../../internet/images/message/picto_error.png");
    background-repeat: no-repeat;
    background-position: 0px 0px;
}


